Skip to main content
PATCH
/
deliver
/
persons
/
{id}
Partial update a person by id
curl --request PATCH \
  --url https://api-sandbox.orum.io/deliver/persons/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Orum-Version: <orum-version>' \
  --data '
{
  "first_name": "<string>",
  "middle_name": "<string>",
  "last_name": "<string>",
  "date_of_birth": "<string>",
  "social_security_number": "<string>",
  "addresses": [
    {
      "type": "home",
      "address1": "<string>",
      "address2": "<string>",
      "city": "<string>",
      "state": "<string>",
      "country": "US",
      "zip5": "<string>"
    }
  ],
  "contacts": [
    {
      "type": "email",
      "value": "<string>"
    }
  ],
  "metadata": {}
}
'
{
  "person": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "customer_reference_id": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "status": "created",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "middle_name": "<string>",
    "date_of_birth": "<string>",
    "addresses": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "type": "home",
        "address1": "<string>",
        "city": "<string>",
        "state": "<string>",
        "country": "US",
        "zip5": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "address2": "<string>"
      }
    ],
    "contacts": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "type": "email",
        "value": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      }
    ],
    "status_reasons": [
      {
        "reason_code": "invalid_address",
        "reason_code_message": "Address submitted is a non-supported address type"
      }
    ],
    "closed_at": "2023-11-07T05:31:56Z",
    "metadata": {}
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.orum.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

Orum-Version
enum<string>
required

Version of Deliver and Verify APIs. Use v2022-09-21.

Available options:
v2022-09-21

Path Parameters

id
string<uuid>
required

Orum generated unique id for the resource for the person resource you are updating. Orum generated unique id for the resource.

Body

application/json
first_name
string

Accepts latin characters and hyphens, dashes, periods, apostrophes, spaces, and diacritics.

Required string length: 1 - 255
Pattern: ^[ ’!"#$%&'()*+,-./:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\]^_`abcdefghijklmnopqrstuvwxyz{|}~¡¢£¤¥¦§¨©ª«¬®¯°±²³´µ¶·¸¹º»¼½¾¿ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖרÙÚÛÜÝÞßàáâãäåæçèéêëìíîïðñòóôõö÷øùúûüýþÿĀāĂ㥹ĆćĈĉĊċČčĎďĐđĒēĔĕĖėĘęĚěĜĝĞğĠġĢģĤĥĦħĨĩĪīĬĭĮįİıIJijĴĵĶķĸĹĺĻļĽľĿŀŁłŃńŅņŇňʼnŊŋŌōŎŏŐőŒœŔŕŖŗŘřŚśŜŝŞşŠšŢţŤťŦŧŨũŪūŬŭŮůŰűŲųŴŵŶŷŸŹźŻżŽžſ]+$
middle_name
string

Accepts latin characters and hyphens, dashes, periods, apostrophes, spaces, and diacritics.

Maximum string length: 255
Pattern: ^[ ’!"#$%&'()*+,-./:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\]^_`abcdefghijklmnopqrstuvwxyz{|}~¡¢£¤¥¦§¨©ª«¬®¯°±²³´µ¶·¸¹º»¼½¾¿ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖרÙÚÛÜÝÞßàáâãäåæçèéêëìíîïðñòóôõö÷øùúûüýþÿĀāĂ㥹ĆćĈĉĊċČčĎďĐđĒēĔĕĖėĘęĚěĜĝĞğĠġĢģĤĥĦħĨĩĪīĬĭĮįİıIJijĴĵĶķĸĹĺĻļĽľĿŀŁłŃńŅņŇňʼnŊŋŌōŎŏŐőŒœŔŕŖŗŘřŚśŜŝŞşŠšŢţŤťŦŧŨũŪūŬŭŮůŰűŲųŴŵŶŷŸŹźŻżŽžſ]*$
last_name
string

Accepts latin characters and hyphens, dashes, periods, apostrophes, spaces, and diacritics.

Required string length: 1 - 255
Pattern: ^[ ’!"#$%&'()*+,-./:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\]^_`abcdefghijklmnopqrstuvwxyz{|}~¡¢£¤¥¦§¨©ª«¬®¯°±²³´µ¶·¸¹º»¼½¾¿ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖרÙÚÛÜÝÞßàáâãäåæçèéêëìíîïðñòóôõö÷øùúûüýþÿĀāĂ㥹ĆćĈĉĊċČčĎďĐđĒēĔĕĖėĘęĚěĜĝĞğĠġĢģĤĥĦħĨĩĪīĬĭĮįİıIJijĴĵĶķĸĹĺĻļĽľĿŀŁłŃńŅņŇňʼnŊŋŌōŎŏŐőŒœŔŕŖŗŘřŚśŜŝŞşŠšŢţŤťŦŧŨũŪūŬŭŮůŰűŲųŴŵŶŷŸŹźŻżŽžſ]+$
date_of_birth
string

Date of birth in YYYY-MM-DD format. Note: This field is required for payouts, deposits, or account-to-account transfers. Age must be less than 100 years and greater than 18 years to be verified.

Pattern: ^((19|20)\d\d)-(0[1-9]|1[0-2])-(([01])[0-9]|2[0-9]|3[0-1])$
social_security_number
string | null

Social Security Number (SSN) or Individual Taxpayer Identification Number (ITIN) in XXX-XX-XXXX format. An example dummy value is 123-45-6789. Note: This field is required for payouts, deposits, or account-to-account transfers.

addresses
PersonPatchPostalAddressRequest · object[] | null

Address information for the person. "type" is required if you are updating other address fields. Note: This field is required for payouts, deposits, or account-to-account transfers.

Maximum array length: 1
contacts
ContactBasePerson · object[] | null

Optional list of contact information for the person. If object is present, either phone and/or email contact types are accepted. A maximum of three persons or businesses can have the same phone number.

Maximum array length: 2
metadata
object

Additional data you would like to provide on the resource. The field supports valid JSON of up to 5 key-value pairs with a maximum of 20 characters for the key and 50 characters for the value. Do not include any sensitive information.

Response

200 response.

person
object
required